#include "FuseWireDetector.h"

int main()
{
	FuseWireDetector fwd;
	//fwd.get_total_points_from_txt("points1Fuse.txt");

	std::chrono::steady_clock::time_point start = std::chrono::steady_clock::now();

	// fwd.my_process();
	// fwd.dealWithTop("segDataPart3.txt");
	for (size_t i = 1; i < 101; i++)
	{
		std::string filename = "clouds/filter/points"+boost::to_string(i)+".txt";
		fwd.wholeProcess(filename);
	}

	std::chrono::steady_clock::time_point end = std::chrono::steady_clock::now();
	std::cout << " total seconds: " << std::chrono::duration_cast<std::chrono::milliseconds>(end - start).count() / 1000.0 << std::endl;
	std::cout << "finished" << std::endl;
	// std::getchar();
	return 0;
}
